Bug 506805 - non-sequential node numbering on some Nehalem/5500 series multi-socket mainboards causing trouble
non-sequential node numbering on some Nehalem/5500 series multi-socket mainbo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 13:58 EDT by Erik Jacobson
Modified: 2010-06-28 09:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:08:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg output from problem system (58.10 KB, text/plain)
2009-06-19 18:02 EDT, Erik Jacobson
no flags Details

  None (edit)
Description Erik Jacobson 2009-06-18 13:58:53 EDT
On certain Intel 5500 / Nehalem multi-socket systems, the node numbering
has become non-sequential in Fedora11.

The problem does not exist in RHEL 5.3.

The issue can be observed like this:

# ls -ld /sys/devices/system/node/node*
drwxr-xr-x 2 root root 0 2009-06-18 09:30 /sys/devices/system/node/node0
drwxr-xr-x 2 root root 0 2009-06-18 09:30 /sys/devices/system/node/node2

It is causing various things that assume sequential numbering to cause 
trouble. Examples in BZs 506795, 506590, 499633

It appears there is a community-proposed fix to this problem already.
The mail archive server didn't seem to thread it so check out these 
links:

http://marc.info/?l=linux-kernel&m=124264032632662&w=2
http://marc.info/?l=linux-kernel&m=124264032932693&w=2
http://marc.info/?l=linux-kernel&m=124264064200735&w=2
http://marc.info/?l=linux-kernel&m=124264064400743&w=2

This problem was observed in Fedora11 with 
kernel 2.6.29.4-167.fc11.x86_64

We wanted to get this on the Red Hat radar.  I'm guessing it is already
and that I didn't perhaps use the right search terms to find existing
bugs.  In that case, if you could kindly duplicate this, I would
appreciate it.

Thank you.
Comment 1 Erik Jacobson 2009-06-19 18:02:27 EDT
Created attachment 348720 [details]
dmesg output from problem system
Comment 2 Erik Jacobson 2009-06-19 22:15:44 EDT
confirmed problem present in 2.6.29.5 community kernel.
Comment 3 Erik Jacobson 2009-06-19 23:16:01 EDT
also confirmed it's still a problem in  2.6.30-git14
Comment 4 Chuck Ebbert 2009-06-20 06:14:57 EDT
Those patches were acked by yhlu but haven't appeared in the acpi tree, not even in the 'testing' branch...
Comment 5 Erik Jacobson 2009-06-22 10:07:10 EDT
I applied the patches to 2.6.30-git14 and this issue was fixed on the
problem system.  I also posted this detail in to the thread in LKML.
Comment 6 Chuck Ebbert 2009-11-04 18:39:33 EST
Patches are still not upstream.
Comment 7 Bug Zapper 2010-04-27 11:04:14 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 09:08:14 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.